Summary: A Breakout style X Window System based game.
Name: xboing
Version: 2.4
Release: 13
Copyright: MIT
Group: Amusements/Games
Source: ftp://ftp.x.org/pub/games/xboing2.4.tar.gz
Patch0: xboing2.4.patch
Patch1: xboing-2.4.patch
Patch2: xboing-2.4-sparc.patch
Patch3: xboing-cpu.patch
Patch4: xboing-sound.patch
Patch5: xboing-xfree4.patch
Url: http://www.catt.rmit.edu.au/xboing/xboing.html
BuildRoot: /var/tmp/xboing-root

%description
Xboing is an X Window System based game like the Breakout arcade game.
The object of the game is to keep a ball bouncing on the bricks until
you've broken through all of them.

%prep
%setup -q -n xboing
%patch -p1
%patch1 -p1
%patch2 -p1 -b .sparc
%patch3 -p1 -b .cpu
%patch4 -p1 -b .sound
%patch5 -p0 -b .xfree4

%build
xmkmf
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr,var}/lib/games

make	DESTDIR=$RPM_BUILD_ROOT \
	XBOING_DIR=$RPM_BUILD_ROOT/usr/lib/games/xboing \
	HIGH_SCORE_FILE=$RPM_BUILD_ROOT/var/lib/games/xboing.score \
	install install.man

( cd $RPM_BUILD_ROOT
  mkdir -p ./etc/X11/applnk/Games
  cat > ./etc/X11/applnk/Games/xboing.desktop <<EOF
[Desktop Entry]
Name=XBoing
Type=Application
Comment=Breakout-style Game
Exec=xboing
EOF
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/man/man1/xboing.*
/usr/X11R6/bin/xboing
/usr/lib/games/xboing
%config /var/lib/games/xboing.score
%config(missingok) /etc/X11/applnk/Games/xboing.desktop

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 11 2000 BIll Nottingham <notting@redhat.com>
- fix for XFree4 from <jik@kamens.brookline.ma.us>
- rebuild in new build environment

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jul 30 1999 Bill Nottingham <notting@redhat.com>
- add some patches from bugzilla (#4258, #4259, from
  peter.osterlund@mailbox.swipnet.se)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- build package for 6.0

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Erik Troan <ewts@redhat.com>
- sparc architecture was trying to do a solaris build

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
